Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.term
Class RdfXmlGo_term

    java.lang.Object
      |
      +--edu.hust.go.term.DefaultGO_term
            |
            +--edu.hust.go.term.RdfXmlGo_term

All Implemented Interfaces:
  java.lang.Cloneable, GO_term

public class RdfXmlGo_term
extends DefaultGO_term

Field Summary
`(package private) java.util.Vector` | `association`
`(package private) java.util.Vector` | `comment`
`(package private) java.util.Vector` | `dbxref`
`(package private) boolean` | `focus`
`(package private) java.util.Vector` | `history`
`(package private) boolean` | `is_obsolete`
`(package private) int` | `n_associations`
`(package private) java.util.Vector` | `synonym`

Fields inherited from class edu.hust.go.term.DefaultGO_term
`def, id, is_a, name, part_of`

Constructor Summary
`RdfXmlGo_term(org.w3c.dom.Document doc)`

Method Summary
`java.util.Vector` | `getAssociation()`
`java.util.Vector` | `getComment()`
`java.util.Vector` | `getDbxref()`
`java.util.Vector` | `getHistory()`
`int` | `getN_associations()`
`java.util.Vector` | `getSynonym()`
`boolean` | `isFocus()`
`boolean` | `isIs_obsolete()`
`(package private) java.util.Vector` | `setAssociation(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.util.Vector` | `setAttrVector(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`
`(package private) boolean` | `setBool(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`
`(package private) java.util.Vector` | `setDbxref(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.lang.String[]` | `setDbxref(org.w3c.dom.Node node, CachedXPathAPI xpath)`
`(package private) java.util.Vector` | `setHistory(org.w3c.dom.Document doc, CachedXPathAPI xpath)`
`(package private) java.util.Vector` | `setVector(org.w3c.dom.Document doc, CachedXPathAPI xpath, java.lang.String xqueryStr)`

Methods inherited from class edu.hust.go.term.DefaultGO_term
`getDef, getId, getIs_a, getName, getPart_of, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### synonym

    java.util.Vector synonym

### comment

    java.util.Vector comment

### dbxref

    java.util.Vector dbxref

### association

    java.util.Vector association

### history

    java.util.Vector history

### is_obsolete

    boolean is_obsolete

### focus

    boolean focus

### n_associations

    int n_associations

Constructor Detail

### RdfXmlGo_term

    public RdfXmlGo_term(org.w3c.dom.Document doc)
                  throws javax.xml.transform.TransformerException

Method Detail

### setVector

    java.util.Vector setVector(org.w3c.dom.Document doc,
                               CachedXPathAPI xpath,
                               java.lang.String xqueryStr)
                         throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setAttrVector

    java.util.Vector setAttrVector(org.w3c.dom.Document doc,
                                   CachedXPathAPI xpath,
                                   java.lang.String xqueryStr)
                             throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setDbxref

    java.util.Vector setDbxref(org.w3c.dom.Document doc,
                               CachedXPathAPI xpath)
                         throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setDbxref

    java.lang.String[] setDbxref(org.w3c.dom.Node node,
                                 CachedXPathAPI xpath)
                           throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setAssociation

    java.util.Vector setAssociation(org.w3c.dom.Document doc,
                                    CachedXPathAPI xpath)
                              throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setHistory

    java.util.Vector setHistory(org.w3c.dom.Document doc,
                                CachedXPathAPI xpath)
                          throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### setBool

    boolean setBool(org.w3c.dom.Document doc,
                    CachedXPathAPI xpath,
                    java.lang.String xqueryStr)
              throws javax.xml.transform.TransformerException

    `javax.xml.transform.TransformerException`

### getComment

    public java.util.Vector getComment()

### getDbxref

    public java.util.Vector getDbxref()

### isFocus

    public boolean isFocus()

### getHistory

    public java.util.Vector getHistory()

### isIs_obsolete

    public boolean isIs_obsolete()

### getN_associations

    public int getN_associations()

### getSynonym

    public java.util.Vector getSynonym()

### getAssociation

    public java.util.Vector getAssociation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD